package com.nwalsh.iss5691;

import net.sf.saxon.s9api.Location;

public class SysIdLocation
        implements Location
{
    public SysIdLocation(String sysid) {
        this.sysid = sysid;
    }

    @Override
    public int getColumnNumber() {
        return -1;
    }

    @Override
    public int getLineNumber() {
        return -1;
    }

    @Override
    public String getPublicId() {
        return null;
    }

    @Override
    public String getSystemId() {
        return sysid;
    }

    @Override
    public Location saveLocation() {
        return this;
    }

    private final String sysid;
}
